DCMTK: DcmUIDHandler Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmUIDHandler Class Reference

helper class that manages a single DICOM UID. More...

## Public Member Functions
| DcmUIDHandler ()
| default constructor
| DcmUIDHandler (const OFString &arg)
| construct from OFString
| DcmUIDHandler (const char *arg)
| construct from C string
| DcmUIDHandler (const DcmUIDHandler &arg)
| copy constructor
DcmUIDHandler & | operator= (const DcmUIDHandler &arg)
| copy assignment operator
DcmUIDHandler & | operator= (const OFString &arg)
| assign from OFString
DcmUIDHandler & | operator= (const char *arg)
| assign from C string
| ~DcmUIDHandler ()
| destructor
OFBool | operator== (const DcmUIDHandler &arg) const
| equal operator
OFBool | operator!= (const DcmUIDHandler &arg) const
| not equal operator
OFBool | isValidUID () const
| checks if the UID maintained by this object is a syntactically valid UID string
const char * | c_str () const
| returns UID as C string
const OFString & | str () const
| returns UID as const OFString reference

## Private Member Functions
void | lookupSymbolicUID ()
| this method checks if the UID value passed to this object is a symbolic UID and in this case attempts to resolve by name.

## Private Attributes
OFString | uid_
| the UID maintained by this object.

## Detailed Description

helper class that manages a single DICOM UID.

Unlike class DcmUniqueIdentifier, this class does not manage an attribute tag or means of encoding/decoding UIDs. Instead it allows to convert between numeric and symbolic representation of a UID and implements a syntactical check.

This class supports two special Transfer Syntax names, "LocalEndianExplicit" and "OppositeEndianExplicit". These are resolved to the explicit VR transfer syntaxes of the local byte order and the opposite byte order of the system the application is running on.

## Member Function Documentation

## ◆ c_str()

const char * DcmUIDHandler::c_str | ( |  | ) | const
| inline

returns UID as C string

Returns
  UID

References uid_.

## ◆ lookupSymbolicUID()

void DcmUIDHandler::lookupSymbolicUID | ( |  | ) |
| private

this method checks if the UID value passed to this object is a symbolic UID and in this case attempts to resolve by name.

This method is called from the constructor, must never be virtual.

## ◆ str()

const OFString & DcmUIDHandler::str | ( |  | ) | const
| inline

returns UID as const OFString reference

Returns
  UID

References uid_.

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dccfuidh.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1